<?xml version="1.0" encoding="utf-8"?>
<!DOCTYPE hibernate-mapping PUBLIC "-//Hibernate/Hibernate Mapping DTD 3.0//EN"
"http://hibernate.sourceforge.net/hibernate-mapping-3.0.dtd">
<!-- 
    Mapping file autogenerated by MyEclipse Persistence Tools
-->
<hibernate-mapping>
    <class name="com.yihu.hos.system.model.SystemApp" table="system_app">
        <id name="id" type="java.lang.String">
            <column name="id" length="50" />
            <generator class="uuid" />
        </id>
        <property name="code" type="java.lang.String">
            <column name="code" length="50">
                <comment>应用代码</comment>
            </column>
        </property>
        <property name="name" type="java.lang.String">
            <column name="name" length="50" not-null="true">
                <comment>应用名称</comment>
            </column>
        </property>
        <property name="appKey" type="java.lang.String">
            <column name="app_key" length="50">
                <comment>应用密钥</comment>
            </column>
        </property>
        <property name="appType" type="java.lang.String">
            <column name="app_type" length="50">
                <comment>应用分类</comment>
            </column>
        </property>
        <property name="orgId" type="java.lang.String">
            <column name="org_id" length="50">
                <comment>机构id</comment>
            </column>
        </property>
        <property name="status" type="java.lang.String">
            <column name="status" length="10">
                <comment>状态</comment>
            </column>
        </property>
        <property name="appUrl" type="java.lang.String">
            <column name="app_url" length="200">
                <comment>回调地址</comment>
            </column>
        </property>

        <property name="appSecret" type="java.lang.String">
            <column name="app_secret" length="200">
                <comment>app_secret</comment>
            </column>
        </property>
        <property name="icon" type="java.lang.String">
            <column name="icon" length="200">
                <comment>应用图标</comment>
            </column>
        </property>
        <property name="developer" type="java.lang.String">
            <column name="developer" length="50">
                <comment>开发者</comment>
            </column>
        </property>
    </class>
</hibernate-mapping>
